/* nejsme vcerejsi, pouzivame moderni a intuitivni box model */
html {
  box-sizing: border-box;
}
*,
::after,
::before {
  box-sizing: inherit;
}

body {
  text-rendering: optimizeLegibility;
}

/*
   BARVY
   svetle sede pozadi      #f5f5f5
   tmavsi seda             #959595
   barevny prechod nahore  #06d7c1
   barevny prechod dole    #50cc49
   zelena cara             #06d7c1
   oranzova                #f15f42
  
   PISMO
   Rubik - pouzite rezy pisma regular 400 a medium 500
   https://fonts.google.com/specimen/Rubik
  */

/* ----- zde zacni psat vlastni css ----- */

body {
  margin: 0;
  background-color: #f5f5f5;
  font-family: "Rubik", sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.2rem;
}

.zbozi {
  display: flex;
  margin: auto;
  width: 670px;
  height: 440px;
  position: relative;
  top: 100px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 1px #c0c0c0;
}

.vizual {
  display: block;
  width: 50%;
  background: linear-gradient(
    180deg,
    rgba(6, 215, 193, 1) 30%,
    rgba(80, 204, 73, 1) 100%
  );
  color: white;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  padding: 30px;
}

.slogan {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5rem;
  margin-top: 30px;
}

.bota {
  position: absolute;
  top: 32%;
  right: 50%;
}

.cenovka {
  text-align: right;
  position: relative;
  top: 58%;
}

.cena {
  font-size: 28px;
  font-weight: 500;
}

.zaruka {
  font-size: 12px;
  line-height: 2rem;
}

.detaily {
  display: flex;
  flex-direction: column;
  width: 50%;
  padding: 30px;
}

h1 {
  font-size: 20px;
  font-weight: 500;
  text-transform: uppercase;
  margin: 0;
}

.produkt {
  color: #959595;
}

.popis {
  border-bottom: solid #06d7c1 1px;
  padding-bottom: 30px;
}

h2 {
  font-size: 14px;
  font-weight: 400;
  text-transform: uppercase;
  margin-top: 15px;
}

.velikosti {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  padding: 0;
  margin: 0;
  width: 85%;
}

li a {
  border: 1px solid transparent;
  margin: auto;
  padding: 5px;
  text-decoration: none;
  color: black;
}

.vybrana,
li a:hover {
  cursor: pointer;
  border: solid #f15f42 1px;
  border-radius: 50%;
  color: #f15f42;
}

.tlacitko {
  display: block;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 0.1rem;
  background-color: #f15f42;
  color: white;
  padding: 13px 26px;
  border-radius: 5px;
  box-shadow: 1px 1px 2px #c0c0c0;
  position: absolute;
  bottom: 6%;
}
